ProfileInfo.MeasurementUnits

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.ctdp.rfdynhud.gamedata
Enum ProfileInfo.MeasurementUnits

    java.lang.Object
      java.lang.Enum<ProfileInfo.MeasurementUnits>
          net.ctdp.rfdynhud.gamedata.ProfileInfo.MeasurementUnits

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ProfileInfo.MeasurementUnits>

Enclosing class:
  ProfileInfo

    public static enum ProfileInfo.MeasurementUnits

extends java.lang.Enum<ProfileInfo.MeasurementUnits>

Model of measurement units (everything but speed)

Author:
  Marvin Froehlich (CTDP)

Nested Class Summary
`static class` | `ProfileInfo.MeasurementUnits.Convert`

Enum Constant Summary
`IMPERIAL`
`METRIC`

Method Summary
`float` | `getFuelAmountFromLiters(float liters)` Converts the passed amount of fuel liers to the units selected in the PLR (liters, if you're a good boy).
`static ProfileInfo.MeasurementUnits` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ProfileInfo.MeasurementUnits[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### METRIC

    public static final ProfileInfo.MeasurementUnits METRIC

### IMPERIAL

    public static final ProfileInfo.MeasurementUnits IMPERIAL

Method Detail

### values

    public static ProfileInfo.MeasurementUnits[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ProfileInfo.MeasurementUnits c : ProfileInfo.MeasurementUnits.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ProfileInfo.MeasurementUnits valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getFuelAmountFromLiters

    public final float getFuelAmountFromLiters(float liters)

  Converts the passed amount of fuel liers to the units selected in the PLR (liters, if you're a good boy).

  Parameters:
    `liters` -
  Returns:
    the amount converted to the selected units.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD